# norootforbuild
%define pkg_name    mysqlnd_ms
%define pkg_version 1.2.2
%define php_version %(php-config --version 2>/dev/null)
#
Name:		php5-mysqlnd_ms
Version:	%{pkg_version}
Release:	2.1
#
License:	PHP
Group:		Productivity/Networking/Web/Servers
#
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	gcc gcc-c++
BuildRequires:	php5-devel >= 5.3.4
#BuildRequires:	mysql-devel
Requires:	php5 = %{php_version}
#
URL:		http://pecl.php.net/
Source:		http://pecl.php.net/package/%{pkg_name}/%{pkg_name}-%{version}.tgz
Summary:	A replication and load balancing plugin for mysqlnd

%description
The replication and load balancing plugin is a plugin for the mysqlnd library.
It can be used with PHP MySQL extensions (ext/mysql, ext/mysqli, PDO_MySQL).
if they are compiled to use mysqlnd. The plugin inspects queries to do read-write splitting.
Read-only queries are send to configured MySQL replication slave servers all other
queries are redirected to the MySQL replication master server.
Very little, if any, application changes required, dependent on the usage scenario required.

Authors:
---------

		Andrey Hristov
		Ulf Wendel

%debug_package

%prep
%setup -n %{pkg_name}-%{version}

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure --with-libdir=%{_lib} \
 --enable-mysqlnd-ms

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable mysqlnd_ms extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/mysqlnd_ms.ini
echo "extension = mysqlnd_ms.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/mysqlnd_ms.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/mysqlnd_ms.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/mysqlnd_ms.ini

%changelog
* Wed Feb  1 2012 cs@linux-administrator.com
- Update to release 1.2.2
* Sun Jan 29 2012 cs@linux-administrator.com
- Update to release 1.2.1
* Sat Nov  5 2011 cs@linux-administrator.com
- Update to release 1.1.2
* Mon Oct 17 2011 cs@linux-administrator.com
- Update to releae 1.1.1 beta
